Loading...
Searching...
No Matches
omOpts.h File Reference

Go to the source code of this file.

## Data Structures

struct | omOpts_t

## Variables

omOpts_t | om_Opts

## Data Structure Documentation

## omOpts_s

struct omOpts_s

Definition at line 11 of file omOpts.h.

Data Fields
void(*)(void) | ErrorHook |
int | HowToReportErrors |
int | Keep |
int | MarkAsStatic |
int | MaxCheck |
int | MaxTrack |
void(*)(void) | MemoryLowFunc |
int | MinCheck |
int | MinTrack |
void(*)(void) | OutOfMemoryFunc |
unsigned int | PagesPerRegion |

## Variable Documentation

## om_Opts

omOpts_t om_Opts

extern

Definition at line 13 of file omOpts.c.

{
OM_DEFAULT_MIN_TRACK,
OM_DEFAULT_MIN_CHECK,
OM_DEFAULT_MAX_TRACK,
OM_DEFAULT_MAX_CHECK,
OM_DEFAULT_KEEP,
OM_DEFAULT_HOW_TO_REPORT_ERRORS,
OM_DEFAULT_MARK_AS_STATIC,
OM_DEFAULT_PAGES_PER_REGION,
OM_DEFAULT_OUT_OF_MEMORY_FUNC,
OM_DEFAULT_MEMORY_LOW_FUNC,
OM_DEFAULT_ERROR_HOOK
};